Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryObjectSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector

Direct Known Subclasses:
  S_PublicObjectSelector, S_SchemaObjectSelector, S_SystemObjectSelector

    public class S_LibraryObjectSelector

extends java.lang.Object

A S_LibraryObjectSelector is used to perform simple select operations.

See Also:
  `S_LibraryObject`
(Published)

Field Summary
`protected java.lang.Long` | `m_ClassId`
`protected SortSpecification` | `m_IdSortSpecification`
`protected SortSpecification` | `m_NameSortSpecification`
`protected S_LibrarySession` | `m_Session`

Constructor Summary
`protected` | `S_LibraryObjectSelector(S_LibrarySession session, java.lang.Long classId)` Constructs a S_LibraryObjectSelector object, with the classId that it is servicing specified.

Method Summary
`protected void` | `closeCursor(S_LibraryObjectCursor cursor)` Best effort to close a cursor.
`protected void` | `ensureDefaultClass(SortSpecification sort)` Ensure that the specified SortSpecification has a valid default class set.
`protected S_LibraryObjectData` | `findObjectById(java.lang.Long id)` Find an object by ID.
`protected java.lang.String` | `generateStatementName(java.lang.String classname, SortSpecification sort, java.lang.String stmtSuffix)` Generates a statement name.
`protected java.lang.String` | `generateStatementName(java.lang.String classname, java.lang.String stmtSuffix)` Generates a statement name.
`protected java.lang.String` | `generateStatementName(java.lang.String classname, java.lang.String relname, SortSpecification sort, java.lang.String stmtSuffix)` Generates a statement name.
`protected java.lang.String` | `generateStatementName(java.lang.String classname, java.lang.String relname, java.lang.String stmtSuffix)` Generates a statement name.
`protected S_ClassObjectData` | `getClassData()` Gets the Data object.
`protected java.lang.Long` | `getClassId()` Gets the ID of the class this selector is servicing.
`protected java.lang.String` | `getClassName()` Get the class's name that this instance services.
`protected LibraryQueryStatement` | `getComplexQueryStatement(java.lang.String key, LibraryConnection lconn, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxTargets, java.lang.String whereClause, SortSpecification sort, java.lang.String hint, int maxCopies, boolean countOnly)` Gets a statement for a complex query.
`protected long` | `getCountFromResultSet(java.sql.ResultSet rset)` Gets the count from a ResultSet opened with "select count()" query.
`protected SortSpecification` | `getIdSortSpecification()` Returns the ID Sort Specification to be used by this selector.
`protected SortSpecification` | `getNameSortSpecification()` Returns the Name Sort Specification to be used by this selector.
`protected java.lang.String` | `getResourceString(java.lang.String key)` Returns a resource string from the Resource Bundle.
`protected S_LibraryService` | `getService()` Returns the S_LibraryService which created the S_LibrarySession from which this object was created.
`protected LibraryQueryStatement` | `getSimpleCountQueryStatement(java.lang.String key, LibraryConnection lconn, java.lang.String whereClause, int maxCopies)` Gets a statement for a simple "select count()" query.
`protected LibraryQueryStatement` | `getSimpleQueryStatement(java.lang.String key, LibraryConnection lconn, java.lang.String whereClause, SortSpecification sort, int maxCopies)` Gets a statement for a simple query.
`protected java.lang.String` | `getStatementSuffix()` Returns a statement suffix appropriate to the current session Admin mode.
`protected S_LibraryObjectData` | `nextItem(S_LibraryObjectCursor cursor)` Gets the next item from a cursor.
`protected java.util.Vector` | `selectAllObjects()` Select all objects.
`protected java.util.Vector` | `selectArrayReferencingObjects(AttributeValue referencedValue, java.lang.Long attributeId, SortSpecification sort)` Selects objects based an array attribute referencing the specified object.
`protected long` | `selectArrayReferencingObjectsCount(AttributeValue referencedValue, java.lang.Long attributeId)` Selects the count based an array attribute referencing the specified object.
`protected S_LibraryObjectCursor` | `selectArrayReferencingObjectsCursor(AttributeValue referencedValue, java.lang.Long attributeId, SortSpecification sort)` Selects cursor for query based an array attribute referencing the specified object.
`protected long` | `selectCount(java.lang.String whereClause)` Perform a "select count()" query.
`protected long` | `selectCount(java.lang.String key, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxTargets, java.lang.String whereClause, java.lang.String hint, AttributeValue[] bindValues)` Perform a complex "select count()" query for S_PreparedSelector.
`protected S_LibraryObjectData` | `selectObjectById(java.lang.Long id)` Selects an object by ID.
`protected java.util.Vector` | `selectObjects(java.lang.String key, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxTargets, java.lang.String whereClause, SortSpecification sort, int maxItemCount, int rowNumber, java.lang.String language, AttributeValue[] bindValues)` Select objects for a S_PreparedSelector.
`protected java.util.Vector` | `selectObjects(java.lang.String key, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxTargets, java.lang.String whereClause, SortSpecification sort, int maxItemCount, int rowNumber, java.lang.String language, java.lang.String hint, AttributeValue[] bindValues)` Select objects for a S_PreparedSelector.
`protected java.util.Vector` | `selectObjects(java.lang.String whereClause, SortSpecification sort)` Select objects for a one-time use S_Selector.
`protected java.util.Vector` | `selectObjects(java.lang.String whereClause, SortSpecification sort, int maxItemCount)` Select objects for a one-time use S_Selector.
`java.util.Vector` | `selectObjectsByMasterId(java.lang.Long masterId, java.lang.String masterAttrName, SortSpecification sort)` Selects objects for a detail table, using the specified master ID.
`protected java.util.Vector` | `selectObjectsByStringAttribute(java.lang.String attrValue, java.lang.String masterAttrName, SortSpecification sort)` Selects objects by a String attribute.
`protected long` | `selectObjectsCountByMasterId(java.lang.Long masterId, java.lang.String masterAttrName)` Selects count of objects by master ID.
`protected S_LibraryObjectCursor` | `selectObjectsCursor(java.lang.String whereClause, SortSpecification sort)` Open a cursor.
`protected S_LibraryObjectCursor` | `selectObjectsCursorByMasterId(java.lang.Long masterId, java.lang.String masterAttrName, SortSpecification sort)` Selects cursor for selecting objects by master ID.
`protected S_LibraryObjectCursor` | `selectObjectsCursorByStringAttribute(java.lang.String attrValue, java.lang.String masterAttrName, SortSpecification sort)` Selects cursor for selecting objects by string attribute.
`protected boolean` | `selectObjectsExistByMasterId(java.lang.Long masterId, java.lang.String masterAttrName)` Checks for the existence of an object by master ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Session

    protected S_LibrarySession m_Session

### m_ClassId

    protected java.lang.Long m_ClassId

### m_IdSortSpecification

    protected SortSpecification m_IdSortSpecification

### m_NameSortSpecification

    protected SortSpecification m_NameSortSpecification

Constructor Detail

### S_LibraryObjectSelector

    protected S_LibraryObjectSelector(S_LibrarySession session,
                                      java.lang.Long classId)
                               throws IfsException

  Constructs a S_LibraryObjectSelector object, with the classId that it is servicing specified.

  Parameters:
    `session` - session context
    `classId` - the class Id that the selector is serving
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getClassId

    protected java.lang.Long getClassId()

  Description copied from class: `S_LibraryObjectSelector`
  Gets the ID of the class this selector is servicing.

  Returns:
    the associated Class ID

### getClassData

    protected S_ClassObjectData getClassData()
                                      throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Gets the Data object.

  Returns:
    the object's class's Data object for the class that this instance services.
  Throws:
    `IfsException` - if operation fails.

### getClassName

    protected java.lang.String getClassName()
                                     throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Get the class's name that this instance services.

  Returns:
    the class's name
  Throws:
    `IfsException` - if operation fails.

### getService

    protected S_LibraryService getService()
                                   throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Returns the S_LibraryService which created the S_LibrarySession from which this object was created.

  Returns:
    the S_LibraryService from which this object was created.
  Throws:
    `IfsException` - if operation fails.

### getResourceString

    protected java.lang.String getResourceString(java.lang.String key)
                                          throws java.util.MissingResourceException,
                                                 IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Returns a resource string from the Resource Bundle.

  Returns:
    a String from the Resource Bundle.
  Throws:
    `java.util.MissingResourceException` - if the String cannot be found.
    `IfsException` - if operation fails.

### getNameSortSpecification

    protected SortSpecification getNameSortSpecification()
                                                  throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Returns the Name Sort Specification to be used by this selector.

  Returns:
    a sort by name Sort specification that is cached by this instance
  Throws:
    `IfsException` - if operation fails.

### getIdSortSpecification

    protected SortSpecification getIdSortSpecification()
                                                throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Returns the ID Sort Specification to be used by this selector.

  Returns:
    a sort by ID Sort specification that is cached by this instance
  Throws:
    `IfsException` - if operation fails.

### ensureDefaultClass

    protected void ensureDefaultClass(SortSpecification sort)
                               throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Ensure that the specified SortSpecification has a valid default class set. For now, just set it to this instance's class if it is currently unset.

  Parameters:
    `sort` - a Sort specification
  Throws:
    `IfsException` - if operation fails.

### selectAllObjects

    protected java.util.Vector selectAllObjects()
                                         throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Select all objects.

  Returns:
    Vector of S_LibraryObjectData
  Throws:
    `IfsException` - if operation fails.

### selectObjects

    protected java.util.Vector selectObjects(java.lang.String whereClause,
                                             SortSpecification sort)
                                      throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Select objects for a one-time use S_Selector.

  Indicates no constraint for the maximum item count.

  Parameters:
    `whereClause` - select where clause
    `sort` - the sort specification
  Returns:
    Vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails.

### selectObjects

    protected java.util.Vector selectObjects(java.lang.String whereClause,
                                             SortSpecification sort,
                                             int maxItemCount)
                                      throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Select objects for a one-time use S_Selector.

  Parameters:
    `whereClause` - select where clause
    `sort` - the sort specification
    `maxItemCount` - the maximum number of items to select
  Returns:
    Vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails.

### selectObjects

    protected java.util.Vector selectObjects(java.lang.String key,
                                             boolean distinct,
                                             AttributeValue searchTarget,
                                             AttributeValue[] auxTargets,
                                             java.lang.String whereClause,
                                             SortSpecification sort,
                                             int maxItemCount,
                                             int rowNumber,
                                             java.lang.String language,
                                             AttributeValue[] bindValues)
                                      throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Select objects for a S_PreparedSelector.

  Parameters:
    `key` - key to use for caching the statement
    `distinct` - whether to include "distinct" clause
    `searchTarget` - the primary search target
    `auxTargets` - the auxiliary search targets
    `whereClause` - select where clause
    `sort` - the sort specification
    `maxItemCount` - the maximum number of items to select
    `rowNumber` - the starting row number for the returned results
    `language` - the language to use for full text search (if any)
    `bindValues` - the bind values
  Returns:
    Vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails.

### selectObjects

    protected java.util.Vector selectObjects(java.lang.String key,
                                             boolean distinct,
                                             AttributeValue searchTarget,
                                             AttributeValue[] auxTargets,
                                             java.lang.String whereClause,
                                             SortSpecification sort,
                                             int maxItemCount,
                                             int rowNumber,
                                             java.lang.String language,
                                             java.lang.String hint,
                                             AttributeValue[] bindValues)
                                      throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Select objects for a S_PreparedSelector.

  Parameters:
    `key` - key to use for caching the statement
    `distinct` - whether to include "distinct" clause
    `searchTarget` - the primary search target
    `auxTargets` - the auxiliary search targets
    `whereClause` - select where clause
    `sort` - the sort specification
    `maxItemCount` - the maximum number of items to select
    `rowNumber` - the starting row number for the returned results
    `language` - the language to use for full text search (if any)
    `hint` - the SQL hint to use for the main select (if any)
    `bindValues` - the bind values
  Returns:
    Vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails.

### selectObjectsCursor

    protected S_LibraryObjectCursor selectObjectsCursor(java.lang.String whereClause,
                                                        SortSpecification sort)
                                                 throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Open a cursor.

  Parameters:
    `whereClause` - search where clause
    `sort` - the sort specification
  Returns:
    the cursor
  Throws:
    `IfsException` - if the operation fails.

### selectCount

    protected long selectCount(java.lang.String whereClause)
                        throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Perform a "select count()" query.

  Parameters:
    `whereClause` - search where clause
  Returns:
    the count that results
  Throws:
    `IfsException` - if the operation fails.

### selectCount

    protected long selectCount(java.lang.String key,
                               boolean distinct,
                               AttributeValue searchTarget,
                               AttributeValue[] auxTargets,
                               java.lang.String whereClause,
                               java.lang.String hint,
                               AttributeValue[] bindValues)
                        throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Perform a complex "select count()" query for S_PreparedSelector.

  Parameters:
    `key` - key to use for caching the statement
    `distinct` - whether to include "distinct" clause
    `searchTarget` - the primary search target
    `auxTargets` - the auxiliary search targets
    `whereClause` - select where clause
    `hint` - the SQL hint for the main select
    `bindValues` - the bind values
  Returns:
    the row count
  Throws:
    `IfsException` - if the operation fails.

### getSimpleQueryStatement

    protected LibraryQueryStatement getSimpleQueryStatement(java.lang.String key,
                                                            LibraryConnection lconn,
                                                            java.lang.String whereClause,
                                                            SortSpecification sort,
                                                            int maxCopies)
                                                     throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Gets a statement for a simple query.

  Parameters:
    `key` - statement key
    `lconn` - connection context
    `whereClause` - search where clause
    `sort` - sort specification
    `maxCopies` - max number of statement copies to keep
  Returns:
    the statement
  Throws:
    `IfsException` - if the operation fails.

### getComplexQueryStatement

    protected LibraryQueryStatement getComplexQueryStatement(java.lang.String key,
                                                             LibraryConnection lconn,
                                                             boolean distinct,
                                                             AttributeValue searchTarget,
                                                             AttributeValue[] auxTargets,
                                                             java.lang.String whereClause,
                                                             SortSpecification sort,
                                                             java.lang.String hint,
                                                             int maxCopies,
                                                             boolean countOnly)
                                                      throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Gets a statement for a complex query.

  Parameters:
    `key` - statement key
    `lconn` - connection context
    `distinct` - whether to include "distinct" clause
    `searchTarget` - the primary search target
    `auxTargets` - the auxiliary search targets
    `whereClause` - search where clause
    `sort` - sort specification
    `hint` - SQLhint to use for the main select
    `maxCopies` - max number of statement copies to keep
    `countOnly` - whether this is a "select count(*)" query
  Returns:
    the statement
  Throws:
    `IfsException` - if the operation fails.

### getSimpleCountQueryStatement

    protected LibraryQueryStatement getSimpleCountQueryStatement(java.lang.String key,
                                                                 LibraryConnection lconn,
                                                                 java.lang.String whereClause,
                                                                 int maxCopies)
                                                          throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Gets a statement for a simple "select count()" query.

  Parameters:
    `key` - statement key
    `lconn` - connection context
    `whereClause` - search where clause
    `maxCopies` - max number of statement copies to keep
  Returns:
    the statement
  Throws:
    `IfsException` - if the operation fails.

### selectObjectById

    protected S_LibraryObjectData selectObjectById(java.lang.Long id)
                                            throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects an object by ID.

  Parameters:
    `id` - object ID.
  Returns:
    the data for the selected object.
  Throws:
    `IfsException` - if the operation fails.

### findObjectById

    protected S_LibraryObjectData findObjectById(java.lang.Long id)
                                          throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Find an object by ID.

  Parameters:
    `id` - object ID.
  Returns:
    the data for the selected object, or null if data cannot be selected
  Throws:
    `IfsException` - if the operation fails.

### selectObjectsByMasterId

    public java.util.Vector selectObjectsByMasterId(java.lang.Long masterId,
                                                    java.lang.String masterAttrName,
                                                    SortSpecification sort)
                                             throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects objects for a detail table, using the specified master ID.

  Parameters:
    `masterId` - the master ID
    `masterAttrName` - the attribute name for the master ID reference
    `sort` - the sort specification
  Returns:
    the vector of object data
  Throws:
    `IfsException` - if the operation fails.

### selectArrayReferencingObjects

    protected java.util.Vector selectArrayReferencingObjects(AttributeValue referencedValue,
                                                             java.lang.Long attributeId,
                                                             SortSpecification sort)
                                                      throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects objects based an array attribute referencing the specified object.

  Only works for object-type array attributes.

  Parameters:
    `referencedValue` - the value being searched for
    `attributeId` - the array attribute
    `sort` - the sort specification
  Returns:
    the vector of object data
  Throws:
    `IfsException` - if the operation fails.

### selectArrayReferencingObjectsCount

    protected long selectArrayReferencingObjectsCount(AttributeValue referencedValue,
                                                      java.lang.Long attributeId)
                                               throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects the count based an array attribute referencing the specified object.

  Only works for object-type array attributes.

  Parameters:
    `referencedValue` - the value being searched for
    `attributeId` - the array attribute
  Returns:
    the resulting count
  Throws:
    `IfsException` - if the operation fails.

### selectObjectsByStringAttribute

    protected java.util.Vector selectObjectsByStringAttribute(java.lang.String attrValue,
                                                              java.lang.String masterAttrName,
                                                              SortSpecification sort)
                                                       throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects objects by a String attribute.

  Parameters:
    `attrValue` - the value being searched for
    `masterAttrName` - the string attribute
    `sort` - the sort specification
  Returns:
    the vector of object data
  Throws:
    `IfsException` - if the operation fails.

### selectObjectsCountByMasterId

    protected long selectObjectsCountByMasterId(java.lang.Long masterId,
                                                java.lang.String masterAttrName)
                                         throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects count of objects by master ID.

  Parameters:
    `masterId` - the master ID value
    `masterAttrName` - the master attribute name
  Returns:
    the resulting count
  Throws:
    `IfsException` - if the operation fails.

### selectObjectsExistByMasterId

    protected boolean selectObjectsExistByMasterId(java.lang.Long masterId,
                                                   java.lang.String masterAttrName)
                                            throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Checks for the existence of an object by master ID.

  Parameters:
    `masterId` - the master ID value
    `masterAttrName` - the master attribute name
  Returns:
    true if an object exists; false otherwise
  Throws:
    `IfsException` - if the operation fails.

### selectObjectsCursorByMasterId

    protected S_LibraryObjectCursor selectObjectsCursorByMasterId(java.lang.Long masterId,
                                                                  java.lang.String masterAttrName,
                                                                  SortSpecification sort)
                                                           throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects cursor for selecting objects by master ID.

  Parameters:
    `masterId` - the master ID value
    `masterAttrName` - the master attribute name
    `sort` - the sort specification
  Returns:
    the cursor
  Throws:
    `IfsException` - if the operation fails.

### selectArrayReferencingObjectsCursor

    protected S_LibraryObjectCursor selectArrayReferencingObjectsCursor(AttributeValue referencedValue,
                                                                        java.lang.Long attributeId,
                                                                        SortSpecification sort)
                                                                 throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects cursor for query based an array attribute referencing the specified object.

  Only works for object-type array attributes.

  Parameters:
    `referencedValue` - the value being searched for
    `attributeId` - the array attribute
    `sort` - the sort specification
  Returns:
    the cursor
  Throws:
    `IfsException` - if the operation fails.

### selectObjectsCursorByStringAttribute

    protected S_LibraryObjectCursor selectObjectsCursorByStringAttribute(java.lang.String attrValue,
                                                                         java.lang.String masterAttrName,
                                                                         SortSpecification sort)
                                                                  throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Selects cursor for selecting objects by string attribute.

  Parameters:
    `attrValue` - the string attribute value
    `masterAttrName` - the master attribute name
    `sort` - the sort specification
  Returns:
    the cursor
  Throws:
    `IfsException` - if the operation fails.

### nextItem

    protected S_LibraryObjectData nextItem(S_LibraryObjectCursor cursor)
                                    throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Gets the next item from a cursor.

  Parameters:
    `cursor` - the cursor
  Returns:
    the data for the next item
  Throws:
    `IfsException` - if the operation fails.

### getCountFromResultSet

    protected long getCountFromResultSet(java.sql.ResultSet rset)
                                  throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Gets the count from a ResultSet opened with "select count()" query.

  Parameters:
    `rset` - the ResultSet
  Returns:
    the count
  Throws:
    `IfsException` - if the operation fails.

### closeCursor

    protected void closeCursor(S_LibraryObjectCursor cursor)

  Description copied from class: `S_LibraryObjectSelector`
  Best effort to close a cursor.

  Parameters:
    `cursor` - the cursor to close.

### getStatementSuffix

    protected java.lang.String getStatementSuffix()
                                           throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Returns a statement suffix appropriate to the current session Admin mode.

  Returns:
    the suffix
  Throws:
    `IfsException` - if the operation fails.

### generateStatementName

    protected final java.lang.String generateStatementName(java.lang.String classname,
                                                           java.lang.String stmtSuffix)
                                                    throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Generates a statement name.

  Parameters:
    `classname` - the class name
    `stmtSuffix` - the statement suffix
  Returns:
    the statement name
  Throws:
    `IfsException` - if the operation fails.

### generateStatementName

    protected final java.lang.String generateStatementName(java.lang.String classname,
                                                           java.lang.String relname,
                                                           java.lang.String stmtSuffix)
                                                    throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Generates a statement name.

  Parameters:
    `classname` - the class name
    `relname` - the relation name; null if not applicable
    `stmtSuffix` - the statement suffix
  Returns:
    the statement name
  Throws:
    `IfsException` - if the operation fails.

### generateStatementName

    protected final java.lang.String generateStatementName(java.lang.String classname,
                                                           SortSpecification sort,
                                                           java.lang.String stmtSuffix)
                                                    throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Generates a statement name.

  Parameters:
    `classname` - the class name
    `sort` - the sort specification; can be null
    `stmtSuffix` - the statement suffix
  Returns:
    the statement name
  Throws:
    `IfsException` - if the operation fails.

### generateStatementName

    protected final java.lang.String generateStatementName(java.lang.String classname,
                                                           java.lang.String relname,
                                                           SortSpecification sort,
                                                           java.lang.String stmtSuffix)
                                                    throws IfsException

  Description copied from class: `S_LibraryObjectSelector`
  Generates a statement name.

  Parameters:
    `classname` - the class name
    `relname` - the relation name; null if not applicable
    `sort` - the sort specification; can be null
    `stmtSuffix` - the statement suffix
  Returns:
    the statement name
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD